OSVDB ID: 69884

Title: SilverStripe sapphire/trunk/core/model/Translatable.php locale Parameter SQL Injection

Info

Disclosure

Dec 11, 2010

Discovery

Unknown

Dates

Exploit

Unknown

Solution

Dec 10, 2010

Description

SilverStripe contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'sapphire/trunk/core/model/Translatable.php' script not properly sanitizing user-supplied input to the 'locale' parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database, allowing for the manipulation or disclosure of arbitrary data.

Classification

Location: Remote / Network Access
Attack Type: Input Manipulation
Impact: Loss of Integrity
Solution: Upgrade
Exploit: Exploit Unknown
Disclosure: Vendor Verified
OSVDB: Web Related

Solution

Upgrade to version 2.4.4-rc1 or 2.3.10-rc1 or higher, as they have been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Products

SilverStripe Limited

SilverStripe

2.3.9
2.4.3

References

Credit

Unknown or Incomplete



Direct URL: http://osvdb.org/69884